include:
- local: 'maven.yml'

java-dependency-vulnerabilities:
  extends: .maven
  stage: test
  script:
  # Vulnerability threshold is set as configuration on plugin in root pom.
  - mvn compile dependency-check:check
  artifacts:
    paths:
    - target/*.html
    when: on_failure
  allow_failure: true
